Bug 154111 - Disk Throughput shows number:number combos instead of disk labels
Summary: Disk Throughput shows number:number combos instead of disk labels
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-15 15:29 UTC by Sander Bouwhuis
Modified: 2007-12-15 20:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sander Bouwhuis 2007-12-15 15:29:09 UTC
Version:            (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages

When I want to monitor disk throughput with ksysguard, it lists a lot of options which look like [number]:[number], which I can fold open en drag sensor applets from. Those names should be more helpful..

I later found out (some of) those numbers correspond to what I get when running the following command: 

Sat 15 15:15 ~ $ ls -la /dev/sd*                                                                [1]
brw-rw---- 1 root disk    8,  0 2007-12-13 16:36 /dev/sda
brw-rw---- 1 root disk    8,  1 2007-12-13 16:36 /dev/sda1
brw-rw---- 1 root disk    8,  2 2007-12-13 16:36 /dev/sda2
brw-rw---- 1 root disk    8,  3 2007-12-13 16:36 /dev/sda3
brw-rw---- 1 root disk    8,  4 2007-12-13 16:36 /dev/sda4
brw-rw---- 1 root plugdev 8, 16 2007-12-13 16:36 /dev/sdb
brw-rw---- 1 root plugdev 8, 17 2007-12-13 16:36 /dev/sdb1
brw-rw---- 1 root plugdev 8, 32 2007-12-15 14:36 /dev/sdc
brw-rw---- 1 root plugdev 8, 33 2007-12-15 14:36 /dev/sdc1

So they could at least be named sda*/sdb*. Better even would be using the partition labels or mount names.
Comment 1 Greg Martyn 2007-12-15 19:14:40 UTC
Fixed in kde4. Thanks for the report though.
Comment 2 John Tapsell 2007-12-15 20:03:03 UTC
Greg,
  The names are   sda1_(1:1)    for example.  I think we can just drop
the major and minor numbers - nobody will ever care, and if they
really do care they can just look them up - it's standard.

What do you think?

John

On 15 Dec 2007 18:14:40 -0000, Greg Martyn <greg.martyn@gmail.com> wrote:
[bugs.kde.org quoted mail]